SuperStrict

Framework PUB.MySQL
Import BRL.StandardIO
Import BRL.PolledInput

Global MySQL  : TMySQL
Global Query  : String
Global Result : TMySQLResult
Global Row    : TMySQLRow

' Connect
MySQL = TMySQL.Create("localhost", "root", "secret", "highscore")
If Not MySQL Then
	Print("Error: Can't connect to 'highscore'")
	End
EndIf

' Show all entries
ShowAllEntries()
Print ""

' Insert 1 Entry
Query = "INSERT INTO `scores` "+ ..
        "(`name`, `points`) "+ ..
        "VALUES('test', '100')"
Result = MySQL.Query(Query)
If Not Result Then
	Print("Error: Query failed")
	Print(" "+MySQL.GetError())
	MySQL.Close()
	End
EndIf
Result.Free()

' Show all entries
ShowAllEntries()
Print ""

' Delete 1 Entry
Query = "DELETE FROM `scores` "+ ..
        "WHERE `name`='test'"
Result = MySQL.Query(Query)
If Not Result Then
	Print("Error: Query failed")
	Print(" "+MySQL.GetError())
	MySQL.Close()
	End
EndIf
Result.Free()

' Show all entries
ShowAllEntries()
Print ""

Print " -- Ready --"
MySQL.Close()
End

Function ShowAllEntries()
	Query = "SELECT * FROM `scores`"
	Result = MySQL.Query(Query)
	If Not Result Then
		Print("Error: Query failed")
		Print(" "+MySQL.GetError())
		MySQL.Close()
		End
	EndIf
	
	Print(String(Result.Rows)+" Entrys:")
	For Row = EachIn Result
		Print("Name:   "+Row.GetString(0))
		Print("Points: "+Row.GetInt(1))
	Next
	Result.Free()
End Function